<?php
declare(strict_types=1);

namespace Inti\Filter;

use Laminas\Filter\FilterPluginManager;
use Laminas\Filter\FilterPluginManagerFactory;

/**
 * Class ConfigProvider
 *
 * @package Inti\Filter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-filter
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            'filters' => [
                'aliases' => [
                    'createslug' => CreateSlug::class,
                    'removeaccents' => RemoveAccents::class,
                    'sanitizepath' => SanitizePath::class,
                ],
                'factories' => [
                    CreateSlug::class => Container\FilterChainFactory::class,
                    SanitizePath::class => Container\FilterChainFactory::class,
                ],
                'invokables' => [
                    RemoveAccents::class,
                ],
            ],
            'dependencies' => [
                'factories' => [
                    FilterPluginManager::class => FilterPluginManagerFactory::class,
                ],
            ],
        ];
    }
}
